using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBMinorArtifactBuyer : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBMinorArtifactBuyer()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
            //Paragon arty
            Add( typeof( GoldBricks ), 5 );
            Add( typeof( PhillipsWoodenSteed ), 5 );
            Add( typeof( AlchemistsBauble ), 5 );
            Add( typeof( ArcticDeathDealer ), 5 );
            Add( typeof( BlazeOfDeath ), 5 );
            Add( typeof( BowOfTheJukaKing ), 5 );
            Add( typeof( BurglarsBandana ), 5 );
            Add( typeof( CavortingClub ), 5 );
            Add( typeof( EnchantedTitanLegBone ), 5 );
            Add( typeof( GwennosHarp ), 5 );
            Add( typeof( IolosLute ),  5 );
            Add( typeof( LunaLance ), 5 );
            Add( typeof( NightsKiss ), 5 ); 
            Add( typeof( NoxRangersHeavyCrossbow ), 5 );
            Add( typeof( OrcishVisage ), 5 );
            Add( typeof( PolarBearMask ), 5 );
            Add( typeof( ShieldOfInvulnerability ), 5 );
            Add( typeof( StaffOfPower ), 5 );
            Add( typeof( VioletCourage ), 5 ); 
            Add( typeof( HeartOfTheLion ), 5 ); 
            Add( typeof( WrathOfTheDryad ), 5 );
            Add( typeof( PixieSwatter ), 5 ); 
            Add( typeof( GlovesOfThePugilist ), 5 ); 
            Add( typeof( AdmiralsHeartyRum ), 3 );
            Add( typeof( CandelabraOfSouls ), 5 );
            Add( typeof( GhostShipAnchor ), 5 );
            Add( typeof( ShipModelOfTheHMSCape ), 5 );
            Add( typeof( CaptainQuacklebushsCutlass ), 5 );
            Add( typeof( DreadPirateHat ), 5 );
            Add( typeof( SeahorseStatuette ), 5 );
            
            //ML arty
            Add( typeof( AegisOfGrace ), 10 );
            Add( typeof( BladeDance ), 10 );
            Add( typeof( Bonesmasher ), 10 );
            Add( typeof( FeyLeggings ), 10 );
            Add( typeof( FleshRipper ), 10 );
            Add( typeof( PadsOfTheCuSidhe ), 10 );
            Add( typeof( RaedsGlory ), 10 );
            Add( typeof( RobeOfTheEclipse ), 10 );
            Add( typeof( RobeOfTheEquinox ), 10 );
            Add( typeof( RighteousAnger ), 10 );
            Add( typeof( BloodwoodSpirit ), 10 );
            Add( typeof( TotemOfVoid ), 10 );
            Add( typeof( BrightsightLenses ), 10 );
            Add( typeof( WildfireBow ), 10 );
            Add( typeof( WindSong ), 10 );
            Add( typeof( SoulSeeker ), 10 );
            Add( typeof( TalonBite ), 10 );
            
            //Doom arty
				Add( typeof( LegacyOfTheDreadLord ), 15 );
				Add( typeof( TheDragonSlayer ), 15 );
				Add( typeof( ArmorOfFortune ), 15 );
				Add( typeof( GauntletsOfNobility ), 15 );
				Add( typeof( HelmOfInsight ), 15 );
				Add( typeof( HolyKnightsBreastplate ), 15 );
				Add( typeof( JackalsCollar ), 15 );
				Add( typeof( LeggingsOfBane ), 15 );
				Add( typeof( MidnightBracers ), 15 );
				Add( typeof( OrnateCrownOfTheHarrower ), 15 );
				Add( typeof( ShadowDancerLeggings ), 15 );
				Add( typeof( TunicOfFire ), 15 );
				Add( typeof( VoiceOfTheFallenKing ), 15 );
				Add( typeof( BraceletOfHealth ), 15 );
				Add( typeof( OrnamentOfTheMagician ), 15 );
				Add( typeof( RingOfTheElements ), 15 );
				Add( typeof( RingOfTheVile ), 15 );
				Add( typeof( Aegis ), 15 );
				Add( typeof( ArcaneShield ), 15 );
				Add( typeof( AxeOfTheHeavens ), 15 );
				Add( typeof( BladeOfInsanity ), 15 );
				Add( typeof( BoneCrusher ), 15 );
				Add( typeof( BreathOfTheDead ), 15 );
				Add( typeof( Frostbringer ), 15 );
				Add( typeof( SerpentsFang ), 15 );
				Add( typeof( StaffOfTheMagi ), 15 );
				Add( typeof( TheBeserkersMaul ), 15 );
				Add( typeof( TheDryadBow ), 15 );
				Add( typeof( DivineCountenance ), 15 );
				Add( typeof( HatOfTheMagi ), 15 );
				Add( typeof( HuntersHeaddress ), 15 );
				Add( typeof( SpiritOfTheTotem ), 15 );
				
				//Tokuno mini
				Add( typeof( AncientFarmersKasa ), 15 );
            Add( typeof( AncientSamuraiDo ), 15 );
            Add( typeof( ArmsOfTacticalExcellence ), 15 );
            Add( typeof( BlackLotusHood ), 15 );
            Add( typeof( DaimyosHelm ), 15 );
            Add( typeof( DemonForks ), 15 );
            Add( typeof( DragonNunchaku ), 15 );
            Add( typeof( Exiler ), 15 );
            Add( typeof( GlovesOfTheSun ), 15 );
            Add( typeof( HanzosBow ), 15 );
            Add( typeof( LegsOfStability ), 15 );
            Add( typeof( PeasantsBokuto ), 15 );
            Add( typeof( PilferedDancerFans ), 15 );
            Add( typeof( TheDestroyer ), 15 );
            Add( typeof( TomeOfEnlightenment ), 15 );
            Add( typeof( AncientUrn ), 15 );
            Add( typeof( HonorableSwords ), 15 );
            Add( typeof( PigmentsOfTokuno ), 15 );
            Add( typeof( FluteOfRenewal ), 15 );
			}
		}
	}
}